%global srcname rasterio

Summary:        Fast and direct raster I/O for use with Numpy and SciPy
Name:           python-%{srcname}
Version:        1.3.9
Release: 2%{?dist}

License:        BSD-3-Clause
URL:            https://github.com/rasterio/rasterio
Source0:        https://github.com/rasterio/rasterio/archive/%{version}/%{srcname}-%{version}.tar.gz
Patch0:          0001-Loosen-up-build-requirements.patch
Patch1:          rasterio-gdal3.8.patch

BuildRequires:  gcc-c++
BuildRequires:  gdal >= 1.11
BuildRequires:  gdal-devel >= 1.11

%global _description \
Rasterio reads and writes geospatial raster data. Geographic information \
systems use GeoTIFF and other formats to organize and store gridded, or raster, \
datasets. Rasterio reads and writes these formats and provides a Python API \
based on ND arrays.

%description %{_description}


%package -n     python3-%{srcname}
Summary:        %{summary}

BuildRequires:  python3-devel

%description -n python3-%{srcname} %{_description}

%package -n python3-%{srcname}+ipython
Summary: Subpackage for python3-%{srcname} with extra ipython dependencies
Requires: python3-%{srcname}

%description -n python3-%{srcname}+ipython
This is the subpackage for python3-%{srcname} with extra ipython dependencies.

%files -n python3-%{srcname}+ipython -f %{_pyproject_ghost_distinfo}



%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -r -x ipython,plot,test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
rm -r %{srcname}  # Don't try unbuilt copy.

%{pytest} -ra -m 'not network and not wheel' \
    -k 'not test_outer_boundless_pixel_fidelity and not debian'

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst AUTHORS.txt CHANGES.txt CITATION.txt
%license LICENSE.txt
%{_bindir}/rio

%changelog
* Thu Jun 12 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.3.9-2
- Rebuilt for loongarch64

* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.9-1
- initial build
